Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network181.48.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
181.48.0.0
Broadcast address
181.55.255.255
First usable
181.48.0.1
Last usable
181.55.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex B5300000 · Integer 3039821824 to 3040346111
Reverse DNS zones
48.181.in-addr.arpa
49.181.in-addr.arpa
50.181.in-addr.arpa
51.181.in-addr.arpa
52.181.in-addr.arpa
53.181.in-addr.arpa
54.181.in-addr.arpa
55.181.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110101.00110000.00000000.00000000181.48.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10110101.00110000.00000000.00000000181.48.0.0
Broadcast10110101.00110111.11111111.11111111181.55.255.255
Split into smaller subnets/20

181.48.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1181.48.0.0/20181.48.0.1 to 181.48.15.254181.48.15.2554,094
2181.48.16.0/20181.48.16.1 to 181.48.31.254181.48.31.2554,094
3181.48.32.0/20181.48.32.1 to 181.48.47.254181.48.47.2554,094
4181.48.48.0/20181.48.48.1 to 181.48.63.254181.48.63.2554,094
5181.48.64.0/20181.48.64.1 to 181.48.79.254181.48.79.2554,094
6181.48.80.0/20181.48.80.1 to 181.48.95.254181.48.95.2554,094
7181.48.96.0/20181.48.96.1 to 181.48.111.254181.48.111.2554,094
8181.48.112.0/20181.48.112.1 to 181.48.127.254181.48.127.2554,094
9181.48.128.0/20181.48.128.1 to 181.48.143.254181.48.143.2554,094
10181.48.144.0/20181.48.144.1 to 181.48.159.254181.48.159.2554,094
11181.48.160.0/20181.48.160.1 to 181.48.175.254181.48.175.2554,094
12181.48.176.0/20181.48.176.1 to 181.48.191.254181.48.191.2554,094
13181.48.192.0/20181.48.192.1 to 181.48.207.254181.48.207.2554,094
14181.48.208.0/20181.48.208.1 to 181.48.223.254181.48.223.2554,094
15181.48.224.0/20181.48.224.1 to 181.48.239.254181.48.239.2554,094
16181.48.240.0/20181.48.240.1 to 181.48.255.254181.48.255.2554,094
17181.49.0.0/20181.49.0.1 to 181.49.15.254181.49.15.2554,094
18181.49.16.0/20181.49.16.1 to 181.49.31.254181.49.31.2554,094
19181.49.32.0/20181.49.32.1 to 181.49.47.254181.49.47.2554,094
20181.49.48.0/20181.49.48.1 to 181.49.63.254181.49.63.2554,094
21181.49.64.0/20181.49.64.1 to 181.49.79.254181.49.79.2554,094
22181.49.80.0/20181.49.80.1 to 181.49.95.254181.49.95.2554,094
23181.49.96.0/20181.49.96.1 to 181.49.111.254181.49.111.2554,094
24181.49.112.0/20181.49.112.1 to 181.49.127.254181.49.127.2554,094
25181.49.128.0/20181.49.128.1 to 181.49.143.254181.49.143.2554,094
26181.49.144.0/20181.49.144.1 to 181.49.159.254181.49.159.2554,094
27181.49.160.0/20181.49.160.1 to 181.49.175.254181.49.175.2554,094
28181.49.176.0/20181.49.176.1 to 181.49.191.254181.49.191.2554,094
29181.49.192.0/20181.49.192.1 to 181.49.207.254181.49.207.2554,094
30181.49.208.0/20181.49.208.1 to 181.49.223.254181.49.223.2554,094
31181.49.224.0/20181.49.224.1 to 181.49.239.254181.49.239.2554,094
32181.49.240.0/20181.49.240.1 to 181.49.255.254181.49.255.2554,094
33181.50.0.0/20181.50.0.1 to 181.50.15.254181.50.15.2554,094
34181.50.16.0/20181.50.16.1 to 181.50.31.254181.50.31.2554,094
35181.50.32.0/20181.50.32.1 to 181.50.47.254181.50.47.2554,094
36181.50.48.0/20181.50.48.1 to 181.50.63.254181.50.63.2554,094
37181.50.64.0/20181.50.64.1 to 181.50.79.254181.50.79.2554,094
38181.50.80.0/20181.50.80.1 to 181.50.95.254181.50.95.2554,094
39181.50.96.0/20181.50.96.1 to 181.50.111.254181.50.111.2554,094
40181.50.112.0/20181.50.112.1 to 181.50.127.254181.50.127.2554,094
41181.50.128.0/20181.50.128.1 to 181.50.143.254181.50.143.2554,094
42181.50.144.0/20181.50.144.1 to 181.50.159.254181.50.159.2554,094
43181.50.160.0/20181.50.160.1 to 181.50.175.254181.50.175.2554,094
44181.50.176.0/20181.50.176.1 to 181.50.191.254181.50.191.2554,094
45181.50.192.0/20181.50.192.1 to 181.50.207.254181.50.207.2554,094
46181.50.208.0/20181.50.208.1 to 181.50.223.254181.50.223.2554,094
47181.50.224.0/20181.50.224.1 to 181.50.239.254181.50.239.2554,094
48181.50.240.0/20181.50.240.1 to 181.50.255.254181.50.255.2554,094
49181.51.0.0/20181.51.0.1 to 181.51.15.254181.51.15.2554,094
50181.51.16.0/20181.51.16.1 to 181.51.31.254181.51.31.2554,094
51181.51.32.0/20181.51.32.1 to 181.51.47.254181.51.47.2554,094
52181.51.48.0/20181.51.48.1 to 181.51.63.254181.51.63.2554,094
53181.51.64.0/20181.51.64.1 to 181.51.79.254181.51.79.2554,094
54181.51.80.0/20181.51.80.1 to 181.51.95.254181.51.95.2554,094
55181.51.96.0/20181.51.96.1 to 181.51.111.254181.51.111.2554,094
56181.51.112.0/20181.51.112.1 to 181.51.127.254181.51.127.2554,094
57181.51.128.0/20181.51.128.1 to 181.51.143.254181.51.143.2554,094
58181.51.144.0/20181.51.144.1 to 181.51.159.254181.51.159.2554,094
59181.51.160.0/20181.51.160.1 to 181.51.175.254181.51.175.2554,094
60181.51.176.0/20181.51.176.1 to 181.51.191.254181.51.191.2554,094
61181.51.192.0/20181.51.192.1 to 181.51.207.254181.51.207.2554,094
62181.51.208.0/20181.51.208.1 to 181.51.223.254181.51.223.2554,094
63181.51.224.0/20181.51.224.1 to 181.51.239.254181.51.239.2554,094
64181.51.240.0/20181.51.240.1 to 181.51.255.254181.51.255.2554,094
65181.52.0.0/20181.52.0.1 to 181.52.15.254181.52.15.2554,094
66181.52.16.0/20181.52.16.1 to 181.52.31.254181.52.31.2554,094
67181.52.32.0/20181.52.32.1 to 181.52.47.254181.52.47.2554,094
68181.52.48.0/20181.52.48.1 to 181.52.63.254181.52.63.2554,094
69181.52.64.0/20181.52.64.1 to 181.52.79.254181.52.79.2554,094
70181.52.80.0/20181.52.80.1 to 181.52.95.254181.52.95.2554,094
71181.52.96.0/20181.52.96.1 to 181.52.111.254181.52.111.2554,094
72181.52.112.0/20181.52.112.1 to 181.52.127.254181.52.127.2554,094
73181.52.128.0/20181.52.128.1 to 181.52.143.254181.52.143.2554,094
74181.52.144.0/20181.52.144.1 to 181.52.159.254181.52.159.2554,094
75181.52.160.0/20181.52.160.1 to 181.52.175.254181.52.175.2554,094
76181.52.176.0/20181.52.176.1 to 181.52.191.254181.52.191.2554,094
77181.52.192.0/20181.52.192.1 to 181.52.207.254181.52.207.2554,094
78181.52.208.0/20181.52.208.1 to 181.52.223.254181.52.223.2554,094
79181.52.224.0/20181.52.224.1 to 181.52.239.254181.52.239.2554,094
80181.52.240.0/20181.52.240.1 to 181.52.255.254181.52.255.2554,094
81181.53.0.0/20181.53.0.1 to 181.53.15.254181.53.15.2554,094
82181.53.16.0/20181.53.16.1 to 181.53.31.254181.53.31.2554,094
83181.53.32.0/20181.53.32.1 to 181.53.47.254181.53.47.2554,094
84181.53.48.0/20181.53.48.1 to 181.53.63.254181.53.63.2554,094
85181.53.64.0/20181.53.64.1 to 181.53.79.254181.53.79.2554,094
86181.53.80.0/20181.53.80.1 to 181.53.95.254181.53.95.2554,094
87181.53.96.0/20181.53.96.1 to 181.53.111.254181.53.111.2554,094
88181.53.112.0/20181.53.112.1 to 181.53.127.254181.53.127.2554,094
89181.53.128.0/20181.53.128.1 to 181.53.143.254181.53.143.2554,094
90181.53.144.0/20181.53.144.1 to 181.53.159.254181.53.159.2554,094
91181.53.160.0/20181.53.160.1 to 181.53.175.254181.53.175.2554,094
92181.53.176.0/20181.53.176.1 to 181.53.191.254181.53.191.2554,094
93181.53.192.0/20181.53.192.1 to 181.53.207.254181.53.207.2554,094
94181.53.208.0/20181.53.208.1 to 181.53.223.254181.53.223.2554,094
95181.53.224.0/20181.53.224.1 to 181.53.239.254181.53.239.2554,094
96181.53.240.0/20181.53.240.1 to 181.53.255.254181.53.255.2554,094
97181.54.0.0/20181.54.0.1 to 181.54.15.254181.54.15.2554,094
98181.54.16.0/20181.54.16.1 to 181.54.31.254181.54.31.2554,094
99181.54.32.0/20181.54.32.1 to 181.54.47.254181.54.47.2554,094
100181.54.48.0/20181.54.48.1 to 181.54.63.254181.54.63.2554,094
101181.54.64.0/20181.54.64.1 to 181.54.79.254181.54.79.2554,094
102181.54.80.0/20181.54.80.1 to 181.54.95.254181.54.95.2554,094
103181.54.96.0/20181.54.96.1 to 181.54.111.254181.54.111.2554,094
104181.54.112.0/20181.54.112.1 to 181.54.127.254181.54.127.2554,094
105181.54.128.0/20181.54.128.1 to 181.54.143.254181.54.143.2554,094
106181.54.144.0/20181.54.144.1 to 181.54.159.254181.54.159.2554,094
107181.54.160.0/20181.54.160.1 to 181.54.175.254181.54.175.2554,094
108181.54.176.0/20181.54.176.1 to 181.54.191.254181.54.191.2554,094
109181.54.192.0/20181.54.192.1 to 181.54.207.254181.54.207.2554,094
110181.54.208.0/20181.54.208.1 to 181.54.223.254181.54.223.2554,094
111181.54.224.0/20181.54.224.1 to 181.54.239.254181.54.239.2554,094
112181.54.240.0/20181.54.240.1 to 181.54.255.254181.54.255.2554,094
113181.55.0.0/20181.55.0.1 to 181.55.15.254181.55.15.2554,094
114181.55.16.0/20181.55.16.1 to 181.55.31.254181.55.31.2554,094
115181.55.32.0/20181.55.32.1 to 181.55.47.254181.55.47.2554,094
116181.55.48.0/20181.55.48.1 to 181.55.63.254181.55.63.2554,094
117181.55.64.0/20181.55.64.1 to 181.55.79.254181.55.79.2554,094
118181.55.80.0/20181.55.80.1 to 181.55.95.254181.55.95.2554,094
119181.55.96.0/20181.55.96.1 to 181.55.111.254181.55.111.2554,094
120181.55.112.0/20181.55.112.1 to 181.55.127.254181.55.127.2554,094
121181.55.128.0/20181.55.128.1 to 181.55.143.254181.55.143.2554,094
122181.55.144.0/20181.55.144.1 to 181.55.159.254181.55.159.2554,094
123181.55.160.0/20181.55.160.1 to 181.55.175.254181.55.175.2554,094
124181.55.176.0/20181.55.176.1 to 181.55.191.254181.55.191.2554,094
125181.55.192.0/20181.55.192.1 to 181.55.207.254181.55.207.2554,094
126181.55.208.0/20181.55.208.1 to 181.55.223.254181.55.223.2554,094
127181.55.224.0/20181.55.224.1 to 181.55.239.254181.55.239.2554,094
128181.55.240.0/20181.55.240.1 to 181.55.255.254181.55.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses